Subject: bug#40845: SVG rendering issues

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 May 2020 19:49:45 +0300

> Date: Sun, 3 May 2020 17:24:17 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> I’ve attached a first pass. It solves 1 and 4 from the original bug
> report: scaling and setting the foreground colour.

Thanks.

> One thing is that it gets the foreground colour from the default face
> instead of the current face. I’m not sure how to solve that.

Can you describe the difficulty in using the current face?

> I’m unsure if my use of malloc is OK, as I know Emacs code uses some
> different methods in different places.

It's okay to call malloc and free in image.c.